> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Dashboard Html Dataset Search

> Embedding (vector) or hybrid search for self-contained HTML dashboards (iframe bridge).



## OpenAPI

````yaml https://api.truestate.io/openapi.json post /dashboards/html/dataset-search/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /dashboards/html/dataset-search/:
    post:
      tags:
        - dashboards
      summary: Dashboard Html Dataset Search
      description: >-
        Embedding (vector) or hybrid search for self-contained HTML dashboards
        (iframe bridge).
      operationId: dashboard_html_dataset_search_dashboards_html_dataset_search__post
      parameters:
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DashboardHtmlDatasetSearchRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  additionalProperties: true
                  type: object
                title: >-
                  Response Dashboard Html Dataset Search Dashboards Html Dataset
                  Search  Post
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DashboardHtmlDatasetSearchRequest:
      properties:
        dataset_id:
          type: string
          format: uuid
          title: Dataset Id
        sentence:
          type: string
          title: Sentence
        filters:
          items:
            $ref: '#/components/schemas/ColumnFilter'
          type: array
          title: Filters
          default: []
        top_k:
          type: integer
          maximum: 1000
          exclusiveMinimum: 0
          title: Top K
          default: 50
        keyword_column:
          anyOf:
            - type: string
            - type: 'null'
          title: Keyword Column
          description: When set, runs hybrid search (vector + fuzzy text) on this column.
      type: object
      required:
        - dataset_id
        - sentence
      title: DashboardHtmlDatasetSearchRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ColumnFilter:
      properties:
        uid:
          type: string
          title: Uid
        column:
          type: string
          title: Column
        column_type:
          $ref: '#/components/schemas/ColumnType'
        filter_condition:
          oneOf:
            - $ref: '#/components/schemas/GeneralFilterCondition'
            - $ref: '#/components/schemas/NonNegatedFilterCondition'
            - $ref: '#/components/schemas/IsInFilterCondition'
          title: Filter Condition
          discriminator:
            propertyName: operator
            mapping:
              CONTAINS:
                $ref: '#/components/schemas/GeneralFilterCondition'
              ENDS_WITH:
                $ref: '#/components/schemas/GeneralFilterCondition'
              EQUALS:
                $ref: '#/components/schemas/GeneralFilterCondition'
              GREATER_THAN:
                $ref: '#/components/schemas/NonNegatedFilterCondition'
              GREATER_THAN_OR_EQUALS:
                $ref: '#/components/schemas/NonNegatedFilterCondition'
              IS_IN:
                $ref: '#/components/schemas/IsInFilterCondition'
              IS_NULL:
                $ref: '#/components/schemas/GeneralFilterCondition'
              LESS_THAN:
                $ref: '#/components/schemas/NonNegatedFilterCondition'
              LESS_THAN_OR_EQUALS:
                $ref: '#/components/schemas/NonNegatedFilterCondition'
              STARTS_WITH:
                $ref: '#/components/schemas/GeneralFilterCondition'
      type: object
      required:
        - uid
        - column
        - column_type
        - filter_condition
      title: ColumnFilter
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ColumnType:
      type: string
      enum:
        - BOOLEAN
        - STRING
        - NUMBER
        - DATETIME
      title: ColumnType
    GeneralFilterCondition:
      properties:
        operator:
          type: string
          enum:
            - EQUALS
            - IS_NULL
            - CONTAINS
            - STARTS_WITH
            - ENDS_WITH
          title: Operator
        value:
          type: string
          title: Value
        is_negated:
          type: boolean
          title: Is Negated
          default: false
      type: object
      required:
        - operator
        - value
      title: GeneralFilterCondition
    NonNegatedFilterCondition:
      properties:
        operator:
          type: string
          enum:
            - GREATER_THAN
            - GREATER_THAN_OR_EQUALS
            - LESS_THAN
            - LESS_THAN_OR_EQUALS
          title: Operator
        value:
          type: string
          title: Value
      type: object
      required:
        - operator
        - value
      title: NonNegatedFilterCondition
    IsInFilterCondition:
      properties:
        operator:
          type: string
          const: IS_IN
          title: Operator
          default: IS_IN
        values:
          items:
            type: string
          type: array
          title: Values
        is_negated:
          type: boolean
          title: Is Negated
          default: false
      type: object
      required:
        - values
      title: IsInFilterCondition
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````